| Cantera 3.0.0

Loading...
Searching...
No Matches
Namespaces | Functions
funcs.cpp File Reference

file containing miscellaneous numerical functions. More...

`#include "cantera/numerics/funcs.h"`
`#include "cantera/numerics/polyfit.h"`
`#include "cantera/base/ctexceptions.h"`
Include dependency graph for funcs.cpp:

## Detailed Description

file containing miscellaneous numerical functions.

Definition in file funcs.cpp.

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
double | linearInterp (double x, const vector< double > &xpts, const vector< double > &fpts)
| Linearly interpolate a function defined on a discrete grid.
double | trapezoidal (const Eigen::ArrayXd &f, const Eigen::ArrayXd &x)
| Numerical integration of a function using the trapezoidal rule.
double | basicSimpson (const Eigen::ArrayXd &f, const Eigen::ArrayXd &x)
| Numerical integration of a function using Simpson's rule.
double | simpson (const Eigen::ArrayXd &f, const Eigen::ArrayXd &x)
| Numerical integration of a function using Simpson's rule with flexibility of taking odd and even number of points.
double | numericalQuadrature (const string &method, const Eigen::ArrayXd &f, const Eigen::ArrayXd &x)
| Numerical integration of a function.